//
//  XMSDWebPhoto.m
//  CXPhotoBrowserDemo
//
//  Created by ChrisXu on 13/4/23.
//  Copyright (c) 2013年 ChrisXu. All rights reserved.
//

#import "XMSDWebPhoto.h"
#import "XMProgressLoadingView.h"
#import "SDWebImageManager.h"

@interface XMSDWebPhoto ()
{
    XMProgressLoadingView *_photoLoadingView;
}

@property (nonatomic, strong) XMProgressLoadingView *photoLoadingView;

@end

@implementation XMSDWebPhoto

@synthesize photoLoadingView = _photoLoadingView;

- (void)loadImageFromURLAsync:(NSURL *)url
{
    [self notifyImageDidStartLoad];
    SDWebImageManager *manager = [SDWebImageManager sharedManager];
    [manager downloadWithURL:url options:SDWebImageRetryFailed progress:^(NSUInteger receivedSize, long long expectedSize)
    {
        [_photoLoadingView loadWithReceivedSize:receivedSize expectedSize:expectedSize];
    } completed:^(UIImage *image, NSError *error, SDImageCacheType cacheType, BOOL finished) {
        if (!error && image)
        {
            _underlyingImage = image;
            
            [self notifyImageDidFinishLoad];
        }
        else
        {
            NSLog(@"error %d code ,error message ->>>%@",error.code,error.debugDescription);
            [self notifyImageDidFailLoadWithError:error];
        }
    }];
}

- (UIView *)photoLoadingView
{    
    if (!_photoLoadingView)
    {
        _photoLoadingView = [[XMProgressLoadingView alloc] initWithPhoto:self];
    }
    
    return _photoLoadingView;
}
@end
