//
//  ViewController.m
//  SinglePhotoBrower
//
//  Created by 江明 赵 on 8/3/13.
//  Copyright (c) 2013 江明 赵. All rights reserved.
//


#import "ViewController.h"

#import "UIImageView+WebCache.h"

#import "XMFullscreenImageViewController.h"
#import "XMSDWebFullscreenImageViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];

}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
}

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath {
    return 80;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section {
    return 6;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    static NSString *TestCellIdentifier  = @"TestCellIdentifier";
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:TestCellIdentifier];
    if (!cell) {
        cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:TestCellIdentifier];
    }
    
    NSInteger row = [indexPath row];
    UIImage *image = [UIImage imageNamed:@"flower.jpg"];
    NSString *urlMin = @"http://2b.zol-img.com.cn/product/97_160x120/525/ceX6mTte7JYBE.jpg";
    if (row == 0) {
        cell.textLabel.text  = @"AFNetwork download image";
    } else if (row == 1) {
        cell.textLabel.text  = @"AFNetwork download image with full screen";
    } else if (row == 2) {
        cell.textLabel.text  = @"SWDImage download image 1";
    } else if (row == 3) {
        cell.textLabel.text  = @"SWDImage download image with full screen 2";
    } else if (row == 4) {
        cell.textLabel.text  = @"SWDImage download image 2";
    } else if (row == 5) {
        cell.textLabel.text  = @"SWDImage download image with full screen 2";
    }
    
    [cell.imageView setImageWithURL:[NSURL URLWithString:urlMin] placeholderImage:image];
    cell.imageView.frame = CGRectMake(0, 0, 35.5, 80);
    cell.textLabel.font = [UIFont systemFontOfSize:12];
    return cell;
}

- (void)tableView:(UITableView *)tableView didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
    NSInteger row = [indexPath row];
    
    //default mini image
    UIImage *image = [UIImage imageNamed:@"flower.jpg"];
    
    //mini image url
    NSString *urlMin = @"http://2b.zol-img.com.cn/product/97_160x120/525/ceX6mTte7JYBE.jpg";
    
    // big image
    NSString *urlMax = @"http://2b.zol-img.com.cn/product/97/525/ceX6mTte7JYBE.jpg";
    
    if (row == 0) {
        //AFNetwork download image
        XMFullscreenImageViewController *controller = [[XMFullscreenImageViewController alloc] initWithDefaultImage:image url:urlMax];
        controller.showPhotoHeightFull = NO;
        [self presentViewController:controller animated:YES completion:nil];
    } else if (row == 1) {
        // AFNetwork download image with full screen
        XMFullscreenImageViewController *controller = [[XMFullscreenImageViewController alloc] initWithDefaultImage:image url:urlMax];
        controller.showPhotoHeightFull = YES;
        [self presentViewController:controller animated:YES completion:nil];
    } else if (row == 2) {
        // SWDImage download image
        XMSDWebFullscreenImageViewController *controller = [[XMSDWebFullscreenImageViewController alloc] initWithDefaultUrl:urlMin url:urlMax];
        controller.showPhotoHeightFull = NO;
        [self presentViewController:controller animated:YES completion:nil];
    } else if (row == 3) {
        // SWDImage download image with full screen
        XMSDWebFullscreenImageViewController *controller = [[XMSDWebFullscreenImageViewController alloc] initWithDefaultUrl:urlMin url:urlMax];
        controller.showPhotoHeightFull = YES;
        [self presentViewController:controller animated:YES completion:nil];
    } else if (row == 4) {
        // SWDImage download image
        XMSDWebFullscreenImageViewController *controller = [[XMSDWebFullscreenImageViewController alloc] initWithDefaultImage:image url:urlMax];
        controller.showPhotoHeightFull = NO;
        [self presentViewController:controller animated:YES completion:nil];
    } else if (row == 5) {
        // SWDImage download image with full screen
        XMSDWebFullscreenImageViewController *controller = [[XMSDWebFullscreenImageViewController alloc] initWithDefaultImage:image url:urlMax];
        controller.showPhotoHeightFull = YES;
        [self presentViewController:controller animated:YES completion:nil];
    }
    
}

@end
