//
//  XMPhoto.h
//  CXPhotoBrowserDemo
//
//  Created by ChrisXu on 13/4/18.
//  Copyright (c) 2013年 ChrisXu. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "XMPhotoProtocol.h"
#import "XMPhotoLoadingView.h"

@interface XMPhoto : NSObject
<XMPhotoProtocol>
{
    // Image
    UIImage *_underlyingImage;
}

@property (nonatomic, strong, readonly) UIImage *underlyingImage;

// Class
+ (XMPhoto *)photoWithImage:(UIImage *)image;
+ (XMPhoto *)photoWithFilePath:(NSString *)path;
+ (XMPhoto *)photoWithURL:(NSURL *)url;

// Init
- (id)initWithImage:(UIImage *)image;
- (id)initWithFilePath:(NSString *)path;
- (id)initWithURL:(NSURL *)url;

//Load Async
- (void)loadImageFromFileAsync:(NSString *)path;
- (void)loadImageFromURLAsync:(NSURL *)url;
- (void)unloadImage;
- (void)reloadImage;
- (void)cancelImage;
@end
