//
//  XMTapDetectingView.m
//  CXPhotoBrowserDemo
//
//  Created by ChrisXu on 13/4/23.
//  Copyright (c) 2013年 ChrisXu. All rights reserved.
//

#import "XMTapDetectingView.h"

@implementation XMTapDetectingView

@synthesize tapDelegate;

#pragma mark - Touched
- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event
{
	UITouch *touch = [touches anyObject];
	NSUInteger tapCount = touch.tapCount;
	switch (tapCount) {
		case 1:
			[self handleSingleTap:touch];
			break;
		case 2:
			[self handleDoubleTap:touch];
			break;
		case 3:
			[self handleTripleTap:touch];
			break;
		default:
			break;
	}
	[[self nextResponder] touchesEnded:touches withEvent:event];
}

- (void)handleSingleTap:(UITouch *)touch
{
    if (tapDelegate && [ tapDelegate respondsToSelector:@selector(view:singleTapDetected:)]) {
        [tapDelegate view:self singleTapDetected:touch];
    }
}

- (void)handleDoubleTap:(UITouch *)touch
{
    if (tapDelegate && [ tapDelegate respondsToSelector:@selector(view:doubleTapDetected:)]) {
        [tapDelegate view:self doubleTapDetected:touch];
    }
}

- (void)handleTripleTap:(UITouch *)touch
{
    if (tapDelegate && [ tapDelegate respondsToSelector:@selector(view:tripleTapDetected:)]) {
        [tapDelegate view:self tripleTapDetected:touch];
    }
}
@end
