//
//  XMZoomingScrollView.h
//  CXPhotoBrowserDemo
//
//  Created by ChrisXu on 13/4/19.
//  Copyright (c) 2013年 ChrisXu. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "XMPhotoProtocol.h"
#import "XMTapDetectingImageView.h"
#import "XMTapDetectingView.h"
#import "XMPhotoLoadingView.h"

@class XMFullscreenImageViewController, XMPhoto;
@interface XMZoomingScrollView : UIScrollView
<UIScrollViewDelegate, CXTapDetectingImageViewDelegate, CXTapDetectingViewDelegate>
{
    __unsafe_unretained XMFullscreenImageViewController *_photoBrowser;
    id<XMPhotoProtocol> _photo;
    
    XMTapDetectingView *_tapView;
    XMPhotoLoadingView *_photoLoadingView;
}

@property(nonatomic,strong) XMTapDetectingImageView *photoImageView;
@property (nonatomic) BOOL isPhotoSupportedReload;
@property (nonatomic) BOOL isPhotoSupportedPanGesture; //default is YES
@property(nonatomic) BOOL showPhotoHeightFull;
@property (nonatomic, strong) id<XMPhotoProtocol> photo;

- (id)initWithFrame:(CGRect)frame photoBrowser:(XMFullscreenImageViewController *)photoBrowser;
- (void)displayImageStartLoading;
- (void)displayImage;
- (void)displayImageFailure;
- (void)prepareForReuse;

@end
